Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/configure.zcml
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/configure.zcml	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/configure.zcml	(revision 12371)
@@ -6,5 +6,5 @@
   -->
   <include package="waeup.ikoba" />
-  <include package="ikobacustom.skeleton" file="locales.zcml" />
+  <include package="ikobacustom.pcn" file="locales.zcml" />
   <grok:grok package="." />
 
@@ -14,5 +14,5 @@
            zope.publisher.interfaces.browser.IBrowserRequest"
       provides="zope.formlib.interfaces.ISimpleInputWidget"
-      factory="ikobacustom.skeleton.widgets.phonewidget.NigeriaPhoneWidget"
+      factory="ikobacustom.pcn.widgets.phonewidget.NigeriaPhoneWidget"
       permission="zope.Public"
       />
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/batching.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py	(revision 12371)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton documents.
+"""Batch processing for pcn documents.
 """
 import grok
@@ -22,35 +22,35 @@
     CustomerProcessor,
     CustomerDocumentProcessorBase, ContractProcessorBase)
-from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonCustomer,
-    ISkeletonCustomerDocument, ISkeletonContract)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.customers.interfaces import (
+    IPCNCustomer,
+    IPCNCustomerDocument, IPCNContract)
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonCustomerProcessor(CustomerProcessor):
+class PCNCustomerProcessor(CustomerProcessor):
     """A batch processor for ICustomer objects.
     """
-    util_name = 'skeletoncustomerprocessor'
+    util_name = 'pcncustomerprocessor'
     grok.name(util_name)
-    name = _('Skeleton Customer Processor')
-    iface = ISkeletonCustomer
+    name = _('PCN Customer Processor')
+    iface = IPCNCustomer
 
 
-class SkeletonCustomerDocumentProcessor(CustomerDocumentProcessorBase):
-    """A batch processor for ISkeletonCustomerDocument objects.
+class PCNCustomerDocumentProcessor(CustomerDocumentProcessorBase):
+    """A batch processor for IPCNCustomerDocument objects.
     """
-    util_name = 'skeletoncustomerdocumentprocessor'
+    util_name = 'pcncustomerdocumentprocessor'
     grok.name(util_name)
-    name = _('Skeleton Customer Document Processor')
-    iface = ISkeletonCustomerDocument
-    factory_name = 'waeup.SkeletonCustomerDocument'
+    name = _('PCN Customer Document Processor')
+    iface = IPCNCustomerDocument
+    factory_name = 'waeup.PCNCustomerDocument'
 
 
-class SkeletonContractProcessor(ContractProcessorBase):
-    """A batch processor for ISkeletonContract objects.
+class PCNContractProcessor(ContractProcessorBase):
+    """A batch processor for IPCNContract objects.
     """
-    util_name = 'skeletoncontractprocessor'
+    util_name = 'pcncontractprocessor'
     grok.name(util_name)
-    name = _('Skeleton Customer Contract Processor')
-    iface = ISkeletonContract
-    factory_name = 'waeup.SkeletonContract'
+    name = _('PCN Customer Contract Processor')
+    iface = IPCNContract
+    factory_name = 'waeup.PCNContract'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/contracts.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py	(revision 12371)
@@ -26,42 +26,42 @@
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
 from waeup.ikoba.customers.contracts import ContractBase
-from ikobacustom.skeleton.interfaces import MessageFactory as _
-from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonContract, ISkeletonContractEdit, ISkeletonContractProcess)
+from ikobacustom.pcn.interfaces import MessageFactory as _
+from ikobacustom.pcn.customers.interfaces import (
+    IPCNContract, IPCNContractEdit, IPCNContractProcess)
 
 
-class SkeletonContract(ContractBase):
+class PCNContract(ContractBase):
     """This is a sample contract.
     """
 
     grok.implements(
-        ISkeletonContractProcess,
-        ISkeletonContract,
-        ISkeletonContractEdit,
+        IPCNContractProcess,
+        IPCNContract,
+        IPCNContractEdit,
         ICustomerNavigation)
 
     contract_category = 'sample'
 
-    form_fields_interface = ISkeletonContract
+    form_fields_interface = IPCNContract
 
-    edit_form_fields_interface = ISkeletonContractEdit
+    edit_form_fields_interface = IPCNContractEdit
 
-    check_docs_interface = ISkeletonContract
+    check_docs_interface = IPCNContract
 
-SkeletonContract = attrs_to_fields(SkeletonContract)
+PCNContract = attrs_to_fields(PCNContract)
 
 
 # Contracts must be importable. So we might need a factory.
-class SkeletonContractFactory(grok.GlobalUtility):
+class PCNContractFactory(grok.GlobalUtility):
     """A factory for contracts.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.SkeletonContract')
+    grok.name(u'waeup.PCNContract')
     title = u"Create a new contract.",
     description = u"This factory instantiates new sample contract instances."
 
     def __call__(self, *args, **kw):
-        return SkeletonContract(*args, **kw)
+        return PCNContract(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonContract)
+        return implementedBy(PCNContract)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/customer.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/customer.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/customer.py	(revision 12371)
@@ -25,29 +25,29 @@
 from waeup.ikoba.customers.customer import Customer
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomer
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.customers.interfaces import IPCNCustomer
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonCustomer(Customer):
+class PCNCustomer(Customer):
     """This is a customer container for the various objects
     owned by customers.
     """
-    grok.implements(ISkeletonCustomer, ICustomerNavigation)
-    grok.provides(ISkeletonCustomer)
+    grok.implements(IPCNCustomer, ICustomerNavigation)
+    grok.provides(IPCNCustomer)
 
-SkeletonCustomer = attrs_to_fields(SkeletonCustomer)
+PCNCustomer = attrs_to_fields(PCNCustomer)
 
 
-class SkeletonCustomerFactory(grok.GlobalUtility):
+class PCNCustomerFactory(grok.GlobalUtility):
     """A factory for customers.
     """
     grok.implements(IFactory)
     grok.name(u'waeup.Customer')
-    title = u"Create a new skeleton customer.",
-    description = u"This factory instantiates new skeleton customer instances."
+    title = u"Create a new pcn customer.",
+    description = u"This factory instantiates new pcn customer instances."
 
     def __call__(self, *args, **kw):
-        return SkeletonCustomer()
+        return PCNCustomer()
 
     def getInterfaces(self):
-        return implementedBy(SkeletonCustomer)
+        return implementedBy(PCNCustomer)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/documents.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/documents.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/documents.py	(revision 12371)
@@ -25,14 +25,14 @@
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
 from waeup.ikoba.customers.documents import CustomerDocumentBase
-from ikobacustom.skeleton.interfaces import MessageFactory as _
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomerDocument
+from ikobacustom.pcn.interfaces import MessageFactory as _
+from ikobacustom.pcn.customers.interfaces import IPCNCustomerDocument
 
 
-class SkeletonCustomerDocument(CustomerDocumentBase):
+class PCNCustomerDocument(CustomerDocumentBase):
     """This is a sample customer document.
     """
 
-    grok.implements(ISkeletonCustomerDocument, ICustomerNavigation)
-    grok.provides(ISkeletonCustomerDocument)
+    grok.implements(IPCNCustomerDocument, ICustomerNavigation)
+    grok.provides(IPCNCustomerDocument)
 
     # Ikoba can store any number of files per Document object.
@@ -42,21 +42,21 @@
     filenames = ('sample',)
 
-    form_fields_interface = ISkeletonCustomerDocument
+    form_fields_interface = IPCNCustomerDocument
 
-SkeletonCustomerDocument = attrs_to_fields(SkeletonCustomerDocument)
+PCNCustomerDocument = attrs_to_fields(PCNCustomerDocument)
 
 
 # Customer documents must be importable. So we need a factory.
-class SkeletonCustomerDocumentFactory(grok.GlobalUtility):
+class PCNCustomerDocumentFactory(grok.GlobalUtility):
     """A factory for customer documents.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.SkeletonCustomerDocument')
+    grok.name(u'waeup.PCNCustomerDocument')
     title = u"Create a new document.",
     description = u"This factory instantiates new sample document instances."
 
     def __call__(self, *args, **kw):
-        return SkeletonCustomerDocument(*args, **kw)
+        return PCNCustomerDocument(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonCustomerDocument)
+        return implementedBy(PCNCustomerDocument)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/export.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py	(revision 12371)
@@ -16,34 +16,34 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton customer objects and subobjects.
+"""Exporters for pcn customer objects and subobjects.
 """
 import grok
 from waeup.ikoba.customers.export import (
     CustomerExporter, CustomerDocumentExporterBase, ContractExporterBase)
-from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonCustomer, ISkeletonCustomerDocument, ISkeletonContract)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.customers.interfaces import (
+    IPCNCustomer, IPCNCustomerDocument, IPCNContract)
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
-class SkeletonCustomerExporter(CustomerExporter):
+class PCNCustomerExporter(CustomerExporter):
     """Exporter for Customers.
     """
-    iface = ISkeletonCustomer
-    title = _(u'Skeleton Customers')
+    iface = IPCNCustomer
+    title = _(u'PCN Customers')
 
 
-class SkeletonCustomerDocumentExporter(CustomerDocumentExporterBase):
+class PCNCustomerDocumentExporter(CustomerDocumentExporterBase):
     """Exporter for documents.
     """
-    grok.name('skeletoncustomerdocuments')
-    iface = ISkeletonCustomerDocument
-    title = _(u'Skeleton Customer Documents')
-    class_name = 'SkeletonCustomerDocument'
+    grok.name('pcncustomerdocuments')
+    iface = IPCNCustomerDocument
+    title = _(u'PCN Customer Documents')
+    class_name = 'PCNCustomerDocument'
 
 
-class SkeletonContractExporter(ContractExporterBase):
+class PCNContractExporter(ContractExporterBase):
     """Exporter for Contract instances.
     """
-    grok.name('skeletoncontracts')
-    iface = ISkeletonContract
-    title = _(u'Skeleton Customer Contracts')
-    class_name = 'SkeletonContract'
+    grok.name('pcncontracts')
+    iface = IPCNContract
+    title = _(u'PCN Customer Contracts')
+    class_name = 'PCNContract'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/fileviewlets.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/fileviewlets.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/fileviewlets.py	(revision 12371)
@@ -23,5 +23,5 @@
     FileDisplay, FileUpload, Image)
 
-from ikobacustom.skeleton.customers.documents import SkeletonCustomerDocument
+from ikobacustom.pcn.customers.documents import PCNCustomerDocument
 
 from waeup.ikoba.customers.browser import (
@@ -39,5 +39,5 @@
     """
     grok.order(1)
-    grok.context(SkeletonCustomerDocument)
+    grok.context(PCNCustomerDocument)
     grok.view(DocumentManageFormPage)
     grok.require('waeup.manageCustomer')
@@ -60,5 +60,5 @@
     """
     grok.order(1)
-    grok.context(SkeletonCustomerDocument)
+    grok.context(PCNCustomerDocument)
     grok.require('waeup.viewCustomer')
     grok.view(DocumentDisplayFormPage)
@@ -72,5 +72,5 @@
     """
     grok.name('sample')
-    grok.context(SkeletonCustomerDocument)
+    grok.context(PCNCustomerDocument)
     grok.require('waeup.viewCustomer')
     download_name = u'sample'
@@ -84,5 +84,5 @@
     """
     grok.view(DocumentManageFormPage)
-    grok.context(SkeletonCustomerDocument)
+    grok.context(PCNCustomerDocument)
     grok.require('waeup.manageCustomer')
     label = _(u'PDF File')
@@ -104,5 +104,5 @@
     """
     grok.order(1)
-    grok.context(SkeletonCustomerDocument)
+    grok.context(PCNCustomerDocument)
     grok.require('waeup.viewCustomer')
     grok.view(DocumentDisplayFormPage)
@@ -116,5 +116,5 @@
     """
     grok.name('sample.pdf')
-    grok.context(SkeletonCustomerDocument)
+    grok.context(PCNCustomerDocument)
     grok.require('waeup.viewCustomer')
     download_name = u'sample.pdf'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/interfaces.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py	(revision 12371)
@@ -23,8 +23,8 @@
     ConCatProductSource, CustomerDocumentSource)
 from waeup.ikoba.products.productoptions import ProductOptionField
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class ISkeletonCustomer(ICustomer):
+class IPCNCustomer(ICustomer):
     """Representation of a customer.
 
@@ -34,5 +34,5 @@
 
 
-class ISkeletonCustomerDocument(ICustomerDocument):
+class IPCNCustomerDocument(ICustomerDocument):
     """A customer document.
 
@@ -41,5 +41,5 @@
 # Customer contract interfaces
 
-class ISkeletonContract(IContract):
+class IPCNContract(IContract):
     """A customer contract sample with document attached.
 
@@ -52,5 +52,5 @@
         )
 
-class ISkeletonContractProcess(ISkeletonContract):
+class IPCNContractProcess(IPCNContract):
     """Interface for processing contract data.
     """
@@ -64,5 +64,5 @@
         )
 
-class ISkeletonContractEdit(ISkeletonContract):
+class IPCNContractEdit(IPCNContract):
     """Interface for editing sample contract data by customers.
 
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py	(revision 12371)
@@ -30,13 +30,13 @@
 from waeup.ikoba.customers.tests.test_batching import CustomerImportExportSetup
 from waeup.ikoba.customers.tests.test_browser import CustomersFullSetup
-from ikobacustom.skeleton.customers.export import (
-    SkeletonCustomerExporter,
-    SkeletonCustomerDocumentExporter,
-    SkeletonContractExporter)
-from ikobacustom.skeleton.customers.batching import (
-    SkeletonCustomerProcessor,
-    SkeletonCustomerDocumentProcessor,
-    SkeletonContractProcessor)
-from ikobacustom.skeleton.testing import FunctionalLayer, samples_dir
+from ikobacustom.pcn.customers.export import (
+    PCNCustomerExporter,
+    PCNCustomerDocumentExporter,
+    PCNContractExporter)
+from ikobacustom.pcn.customers.batching import (
+    PCNCustomerProcessor,
+    PCNCustomerDocumentProcessor,
+    PCNContractProcessor)
+from ikobacustom.pcn.testing import FunctionalLayer, samples_dir
 
 SAMPLE_IMAGE = os.path.join(os.path.dirname(__file__), 'test_image.jpg')
@@ -56,8 +56,8 @@
         IWorkflowState(customer).setState('started')
         self.app['customers'].addCustomer(customer)
-        document = createObject(u'waeup.SkeletonCustomerDocument')
+        document = createObject(u'waeup.PCNCustomerDocument')
         document.title = u'My first document'
         customer['documents'].addDocument(document)
-        contract = createObject(u'waeup.SkeletonContract')
+        contract = createObject(u'waeup.PCNContract')
         contract.tc_dict = {'en':u'Hello World'}
         customer['contracts'].addContract(contract)
@@ -72,5 +72,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonCustomerExporter()
+        exporter = PCNCustomerExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -80,5 +80,5 @@
             'K1000000,,Beate,Mueller,,,123,f,0,,,started,[]\r\n')
         # We can reimport the file ...
-        processor = SkeletonCustomerProcessor()
+        processor = PCNCustomerProcessor()
         result = processor.doImport(
             self.outfile,
@@ -112,18 +112,18 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonCustomerDocumentExporter()
+        exporter = PCNCustomerDocumentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
             'class_name,document_id,history,state,title,user_id\r\n'
-            'SkeletonCustomerDocument,%s,'
+            'PCNCustomerDocument,%s,'
             '[u\'2014-12-21 17:00:36 WAT - Document created by system\'],'
             'created,My first document,K1000000\r\n'
             % self.document.document_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = SkeletonCustomerDocumentProcessor()
+        processor = PCNCustomerDocumentProcessor()
         open(self.outfile, 'wb').write(
             'customer_id,class_name,document_id,state,title\r\n'
-            'K1000000,SkeletonCustomerDocument,%s,started,My first title\r\n'
+            'K1000000,PCNCustomerDocument,%s,started,My first title\r\n'
             % self.document.document_id)
         result = processor.doImport(
@@ -156,5 +156,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonContractExporter()
+        exporter = PCNContractExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -163,15 +163,15 @@
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'SkeletonContract,sample,%s,,'
+            'PCNContract,sample,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
             % self.contract.contract_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = SkeletonContractProcessor()
+        processor = PCNContractProcessor()
         open(self.outfile, 'wb').write(
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'SkeletonContract,sample,%s,,'
+            'PCNContract,sample,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
@@ -219,6 +219,6 @@
         self.browser.open(self.customer_path + '/documents')
         self.browser.getControl("Add document").click()
-        self.browser.getControl(name="doctype").value = ['SkeletonCustomerDocument']
-        self.browser.getControl(name="form.title").value = 'My Skeleton Document'
+        self.browser.getControl(name="doctype").value = ['PCNCustomerDocument']
+        self.browser.getControl(name="form.title").value = 'My PCN Document'
         self.browser.getControl("Add document").click()
         docid = [i for i in self.customer['documents'].keys() if len(i) > 10][0]
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/tests/test_contract.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py	(revision 12371)
@@ -28,7 +28,7 @@
 from waeup.ikoba.customers.contracts import ContractsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.contracts import SkeletonContract
-from ikobacustom.skeleton.customers.interfaces import ISkeletonContract
+from ikobacustom.pcn.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.pcn.customers.contracts import PCNContract
+from ikobacustom.pcn.customers.interfaces import IPCNContract
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonContract, SkeletonContract)
-        verify.verifyClass(ICustomerNavigation, SkeletonContract)
-        verify.verifyObject(ISkeletonContract, SkeletonContract())
-        verify.verifyObject(ICustomerNavigation, SkeletonContract())
+        verify.verifyClass(IPCNContract, PCNContract)
+        verify.verifyClass(ICustomerNavigation, PCNContract)
+        verify.verifyObject(IPCNContract, PCNContract())
+        verify.verifyObject(ICustomerNavigation, PCNContract())
         return
 
     def test_addContract(self):
         container = ContractsContainer()
-        contract = createObject(u'waeup.SkeletonContract')
+        contract = createObject(u'waeup.PCNContract')
         id = contract.contract_id
         container.addContract(contract)
         self.assertEqual(container[id], contract)
         self.assertRaises(TypeError, container.addContract, object())
-        self.assertEqual(contract.class_name, 'SkeletonContract')
+        self.assertEqual(contract.class_name, 'PCNContract')
         return
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_customer.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/tests/test_customer.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_customer.py	(revision 12371)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton customers.
+Tests for pcn customers.
 """
 import tempfile
@@ -30,14 +30,14 @@
 from waeup.ikoba.customers.container import CustomersContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.customer import SkeletonCustomer
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomer
+from ikobacustom.pcn.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.pcn.customers.customer import PCNCustomer
+from ikobacustom.pcn.customers.interfaces import IPCNCustomer
 
-class SkeletonCustomerTestCase(FunctionalTestCase):
+class PCNCustomerTestCase(FunctionalTestCase):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(SkeletonCustomerTestCase, self).setUp()
+        super(PCNCustomerTestCase, self).setUp()
 
         # Prepopulate ZODB
@@ -52,13 +52,13 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonCustomer, SkeletonCustomer)
-        verify.verifyClass(ICustomerNavigation, SkeletonCustomer)
-        verify.verifyObject(ISkeletonCustomer, SkeletonCustomer())
-        verify.verifyObject(ICustomerNavigation, SkeletonCustomer())
+        verify.verifyClass(IPCNCustomer, PCNCustomer)
+        verify.verifyClass(ICustomerNavigation, PCNCustomer)
+        verify.verifyObject(IPCNCustomer, PCNCustomer())
+        verify.verifyObject(ICustomerNavigation, PCNCustomer())
         return
 
-    def test_addSkeletonCustomer(self):
+    def test_addPCNCustomer(self):
         customer = createObject(u'waeup.Customer')
-        verify.verifyObject(ISkeletonCustomer, customer)
+        verify.verifyObject(IPCNCustomer, customer)
         self.app['customers'].addCustomer(customer)
         self.assertEqual(customer.customer_id, 'K1000000')
@@ -68,4 +68,4 @@
     def tearDown(self):
         shutil.rmtree(self.dc_root)
-        super(SkeletonCustomerTestCase, self).tearDown()
+        super(PCNCustomerTestCase, self).tearDown()
         return
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_document.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/tests/test_document.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_document.py	(revision 12371)
@@ -28,7 +28,7 @@
 from waeup.ikoba.customers.documents import CustomerDocumentsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.documents import SkeletonCustomerDocument
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomerDocument
+from ikobacustom.pcn.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.pcn.customers.documents import PCNCustomerDocument
+from ikobacustom.pcn.customers.interfaces import IPCNCustomerDocument
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonCustomerDocument, SkeletonCustomerDocument)
-        verify.verifyClass(ICustomerNavigation, SkeletonCustomerDocument)
-        verify.verifyObject(ISkeletonCustomerDocument, SkeletonCustomerDocument())
-        verify.verifyObject(ICustomerNavigation, SkeletonCustomerDocument())
+        verify.verifyClass(IPCNCustomerDocument, PCNCustomerDocument)
+        verify.verifyClass(ICustomerNavigation, PCNCustomerDocument)
+        verify.verifyObject(IPCNCustomerDocument, PCNCustomerDocument())
+        verify.verifyObject(ICustomerNavigation, PCNCustomerDocument())
         return
 
     def test_addDocument(self):
         container = CustomerDocumentsContainer()
-        document = createObject(u'waeup.SkeletonCustomerDocument')
+        document = createObject(u'waeup.PCNCustomerDocument')
         id = document.document_id
         container.addDocument(document)
         self.assertEqual(container[id], document)
         self.assertRaises(TypeError, container.addDocument, object())
-        self.assertEqual(document.class_name, 'SkeletonCustomerDocument')
+        self.assertEqual(document.class_name, 'PCNCustomerDocument')
         return
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/customers/utils.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py	(revision 12371)
@@ -25,7 +25,7 @@
     SUBMITTED, VERIFIED, REJECTED,
     EXPIRED)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
-class SkeletonCustomersUtils(CustomersUtils):
+class PCNCustomersUtils(CustomersUtils):
     """A collection of methods subject to customization.
     """
@@ -47,5 +47,5 @@
         #'CustomerPDFDocument': _('PDF Document'),
 
-        'SkeletonCustomerDocument': _('Skeleton Document'),
+        'PCNCustomerDocument': _('PCN Document'),
         }
 
@@ -53,5 +53,5 @@
         #'SampleContract': _('Sample Contract'),
 
-        'SkeletonContract': _('Skeleton Contract'),
+        'PCNContract': _('PCN Contract'),
         }
 
@@ -62,4 +62,4 @@
     EXPORTER_NAMES = (
         'customers',
-        'skeletoncustomerdocuments',
-        'skeletoncontracts')
+        'pcncustomerdocuments',
+        'pcncontracts')
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/__init__.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/__init__.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/__init__.py	(revision 12371)
@@ -2,7 +2,7 @@
 """
 # Make this a package.
-from ikobacustom.skeleton.documents.document import SkeletonDocument
+from ikobacustom.pcn.documents.document import PCNDocument
 
 __all__ = [
-    'SkeletonDocument',
+    'PCNDocument',
     ]
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/batching.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/batching.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/batching.py	(revision 12371)
@@ -16,20 +16,20 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton documents.
+"""Batch processing for pcn documents.
 """
 import grok
 from waeup.ikoba.documents.batching import DocumentProcessorBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.documents.interfaces import IPCNDocument
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonDocumentProcessor(DocumentProcessorBase):
-    """A batch processor for ISkeletonDocument objects.
+class PCNDocumentProcessor(DocumentProcessorBase):
+    """A batch processor for IPCNDocument objects.
     """
-    util_name = 'skeletondocumentprocessor'
+    util_name = 'pcndocumentprocessor'
     grok.name(util_name)
 
-    name = _('Skeleton Document Processor')
-    iface = ISkeletonDocument
+    name = _('PCN Document Processor')
+    iface = IPCNDocument
 
-    factory_name = 'waeup.SkeletonDocument'
+    factory_name = 'waeup.PCNDocument'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/document.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/document.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/document.py	(revision 12371)
@@ -24,28 +24,28 @@
 from waeup.ikoba.utils.helpers import attrs_to_fields
 from waeup.ikoba.documents.document import PublicDocumentBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.documents.interfaces import IPCNDocument
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonDocument(PublicDocumentBase):
+class PCNDocument(PublicDocumentBase):
     """This is a document.
     """
-    grok.implements(ISkeletonDocument)
-    grok.provides(ISkeletonDocument)
+    grok.implements(IPCNDocument)
+    grok.provides(IPCNDocument)
 
-SkeletonDocument = attrs_to_fields(SkeletonDocument)
+PCNDocument = attrs_to_fields(PCNDocument)
 
 
-class SkeletonDocumentFactory(grok.GlobalUtility):
+class PCNDocumentFactory(grok.GlobalUtility):
     """A factory for documents.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.SkeletonDocument')
+    grok.name(u'waeup.PCNDocument')
     title = u"Create a new document.",
-    description = u"This factory instantiates new skeleton documents."
+    description = u"This factory instantiates new pcn documents."
 
     def __call__(self, *args, **kw):
-        return SkeletonDocument(*args, **kw)
+        return PCNDocument(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonDocument)
+        return implementedBy(PCNDocument)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/export.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/export.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/export.py	(revision 12371)
@@ -16,17 +16,17 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton documents.
+"""Exporters for pcn documents.
 """
 import grok
 from waeup.ikoba.documents.export import DocumentExporterBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.documents.interfaces import IPCNDocument
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonDocumentExporter(DocumentExporterBase):
+class PCNDocumentExporter(DocumentExporterBase):
     """Exporter for documents.
     """
-    grok.name('skeletondocuments')
-    iface = ISkeletonDocument
-    class_name = 'SkeletonDocument'
-    title = _(u'Skeleton Documents')
+    grok.name('pcndocuments')
+    iface = IPCNDocument
+    class_name = 'PCNDocument'
+    title = _(u'PCN Documents')
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/interfaces.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/interfaces.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/interfaces.py	(revision 12371)
@@ -17,9 +17,9 @@
 ##
 from waeup.ikoba.documents.interfaces import IPublicDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class ISkeletonDocument(IPublicDocument):
-    """A representation of a skeleton document.
+class IPCNDocument(IPublicDocument):
+    """A representation of a pcn document.
 
     """
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/tests/test_browser.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/tests/test_browser.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/tests/test_browser.py	(revision 12371)
@@ -27,8 +27,8 @@
 from zope.interface.verify import verifyObject, verifyClass
 from waeup.ikoba.documents.tests.test_batching import DocumentImportExportSetup
-from ikobacustom.skeleton.documents.document import SkeletonDocument
-from ikobacustom.skeleton.documents.export import SkeletonDocumentExporter
-from ikobacustom.skeleton.documents.batching import SkeletonDocumentProcessor
-from ikobacustom.skeleton.testing import FunctionalLayer
+from ikobacustom.pcn.documents.document import PCNDocument
+from ikobacustom.pcn.documents.export import PCNDocumentExporter
+from ikobacustom.pcn.documents.batching import PCNDocumentProcessor
+from ikobacustom.pcn.testing import FunctionalLayer
 
 
@@ -38,5 +38,5 @@
 
     def setup_for_export(self):
-        document = SkeletonDocument()
+        document = PCNDocument()
         document.document_id = u'DOC1'
         document.title = u'My first document'
@@ -49,5 +49,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonDocumentExporter()
+        exporter = PCNDocumentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -55,9 +55,9 @@
             'class_name,description,document_id,history,state,title,'
             'users_with_local_roles\r\n'
-            'SkeletonDocument,,DOC1,'
+            'PCNDocument,,DOC1,'
             '[u\'2014-12-21 23:27:15 WAT - Document created by system\'],'
             'created,My first document,[]\r\n')
         # We can import the same file.
-        processor = SkeletonDocumentProcessor()
+        processor = PCNDocumentProcessor()
         result = processor.doImport(
             self.outfile,
@@ -79,5 +79,5 @@
         self.assertEqual(num_fail,0)
         # We can import the same file in update mode.
-        processor = SkeletonDocumentProcessor()
+        processor = PCNDocumentProcessor()
         result = processor.doImport(
             self.outfile,
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/tests/test_document.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/tests/test_document.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/tests/test_document.py	(revision 12371)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton documents.
+Tests for pcn documents.
 """
 from zope.interface.verify import verifyClass, verifyObject
@@ -23,9 +23,9 @@
 from waeup.ikoba.documents.container import DocumentsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.documents.document import SkeletonDocument
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
+from ikobacustom.pcn.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.pcn.documents.document import PCNDocument
+from ikobacustom.pcn.documents.interfaces import IPCNDocument
 
-class SkeletonDocumentTestCase(FunctionalTestCase):
+class PCNDocumentTestCase(FunctionalTestCase):
 
     layer = FunctionalLayer
@@ -35,15 +35,15 @@
         self.assertTrue(
             verifyClass(
-                ISkeletonDocument, SkeletonDocument)
+                IPCNDocument, PCNDocument)
             )
         self.assertTrue(
             verifyObject(
-                ISkeletonDocument, SkeletonDocument())
+                IPCNDocument, PCNDocument())
             )
         return
 
-    def test_addSkeletonDocument(self):
+    def test_addPCNDocument(self):
         container = DocumentsContainer()
-        document = createObject(u'waeup.SkeletonDocument')
+        document = createObject(u'waeup.PCNDocument')
         document.document_id = u'DOC1'
         container.addDocument(document)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/documents/utils.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/documents/utils.py	(revision 12371)
@@ -19,8 +19,8 @@
 """
 from waeup.ikoba.documents.utils import DocumentsUtils
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonDocumentsUtils(DocumentsUtils):
+class PCNDocumentsUtils(DocumentsUtils):
     """A collection of methods subject to customization.
     """
@@ -29,5 +29,5 @@
         'PDFDocument': _('PDF Document'),
         'HTMLDocument': _('HTML Document'),
-        'SkeletonDocument': _('Skeleton Document'),
+        'PCNDocument': _('PCN Document'),
         }
 
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/ftesting.zcml
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/ftesting.zcml	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/ftesting.zcml	(revision 12371)
@@ -2,11 +2,11 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:ikoba="http://namespaces.waeup.org/ikoba"
-   i18n_domain="ikobacustom.skeleton"
-   package="ikobacustom.skeleton"
+   i18n_domain="ikobacustom.pcn"
+   package="ikobacustom.pcn"
    >
 
   <include package="grok" />
-  <includeOverrides package="ikobacustom.skeleton" />
-  <include package="ikobacustom.skeleton" file="mail.zcml" />
+  <includeOverrides package="ikobacustom.pcn" />
+  <include package="ikobacustom.pcn" file="mail.zcml" />
 
   <!-- Where should the datacenter reside by default?
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/interfaces.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/interfaces.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/interfaces.py	(revision 12371)
@@ -20,7 +20,7 @@
 from zope import schema
 from zc.sourcefactory.basic import BasicSourceFactory
-from ikobacustom.skeleton.utils.lgas import LGAS
+from ikobacustom.pcn.utils.lgas import LGAS
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('ikobacustom.skeleton')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('ikobacustom.pcn')
 
 
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/__init__.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/products/__init__.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/__init__.py	(revision 12371)
@@ -2,7 +2,7 @@
 """
 # Make this a package.
-from ikobacustom.skeleton.products.product import SkeletonProduct
+from ikobacustom.pcn.products.product import PCNProduct
 
 __all__ = [
-    'SkeletonProduct',
+    'PCNProduct',
     ]
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/batching.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/products/batching.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/batching.py	(revision 12371)
@@ -16,15 +16,15 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton products.
+"""Batch processing for pcn products.
 """
 import grok
 from waeup.ikoba.products.batching import ProductProcessor
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.products.interfaces import IPCNProduct
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
-class SkeletonProductProcessor(ProductProcessor):
+class PCNProductProcessor(ProductProcessor):
 
-    iface = ISkeletonProduct
-    name = _('Skeleton Product Processor')
-    util_name = 'skeletonproductprocessor'
+    iface = IPCNProduct
+    name = _('PCN Product Processor')
+    util_name = 'pcnproductprocessor'
     grok.name(util_name)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/export.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/products/export.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/export.py	(revision 12371)
@@ -16,20 +16,20 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton products.
+"""Exporters for pcn products.
 """
 import grok
 from waeup.ikoba.utils.helpers import iface_names
 from waeup.ikoba.products.export import ProductExporter
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.products.interfaces import IPCNProduct
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonProductExporter(ProductExporter):
+class PCNProductExporter(ProductExporter):
     """Exporter for products.
     """
 
-    fields = tuple(sorted(iface_names(ISkeletonProduct))) + (
+    fields = tuple(sorted(iface_names(IPCNProduct))) + (
         'users_with_local_roles',)
 
     #: The title under which this exporter will be displayed
-    #title = _(u'Skeleton Products')
+    #title = _(u'PCN Products')
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/interfaces.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/products/interfaces.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/interfaces.py	(revision 12371)
@@ -17,9 +17,9 @@
 ##
 from waeup.ikoba.products.interfaces import IProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class ISkeletonProduct(IProduct):
-    """A representation of a skeleton product.
+class IPCNProduct(IProduct):
+    """A representation of a pcn product.
 
     """
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/product.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/products/product.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/product.py	(revision 12371)
@@ -24,18 +24,18 @@
 from waeup.ikoba.utils.helpers import attrs_to_fields
 from waeup.ikoba.products.product import Product
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.products.interfaces import IPCNProduct
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 
-class SkeletonProduct(Product):
+class PCNProduct(Product):
     """This is a product.
     """
-    grok.implements(ISkeletonProduct)
-    grok.provides(ISkeletonProduct)
+    grok.implements(IPCNProduct)
+    grok.provides(IPCNProduct)
 
-SkeletonProduct = attrs_to_fields(SkeletonProduct)
+PCNProduct = attrs_to_fields(PCNProduct)
 
 
-class SkeletonProductFactory(grok.GlobalUtility):
+class PCNProductFactory(grok.GlobalUtility):
     """A factory for products.
     """
@@ -43,9 +43,9 @@
     grok.name(u'waeup.Product')
     title = u"Create a new product.",
-    description = u"This factory instantiates new skeleton products."
+    description = u"This factory instantiates new pcn products."
 
     def __call__(self, *args, **kw):
-        return SkeletonProduct(*args, **kw)
+        return PCNProduct(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonProduct)
+        return implementedBy(PCNProduct)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/tests/test_browser.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/products/tests/test_browser.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/tests/test_browser.py	(revision 12371)
@@ -27,8 +27,8 @@
 from zope.interface.verify import verifyObject, verifyClass
 from waeup.ikoba.products.tests.test_batching import ProductImportExportSetup
-from ikobacustom.skeleton.products.product import SkeletonProduct
-from ikobacustom.skeleton.products.export import SkeletonProductExporter
-from ikobacustom.skeleton.products.batching import SkeletonProductProcessor
-from ikobacustom.skeleton.testing import FunctionalLayer
+from ikobacustom.pcn.products.product import PCNProduct
+from ikobacustom.pcn.products.export import PCNProductExporter
+from ikobacustom.pcn.products.batching import PCNProductProcessor
+from ikobacustom.pcn.testing import FunctionalLayer
 
 
@@ -38,5 +38,5 @@
 
     def setup_for_export(self):
-        product = SkeletonProduct()
+        product = PCNProduct()
         product.product_id = u'LIC'
         product.valid_from = datetime.date(2015, 12, 4)
@@ -49,5 +49,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonProductExporter()
+        exporter = PCNProductExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -57,5 +57,5 @@
             'license,,[],LIC,,Unnamed,2015-12-04#,,[]\r\n')
         # We can import the same file.
-        processor = SkeletonProductProcessor()
+        processor = PCNProductProcessor()
         result = processor.doImport(
             self.outfile,
@@ -77,5 +77,5 @@
         self.assertEqual(num_fail,0)
         # We can import the same file in update mode.
-        processor = SkeletonProductProcessor()
+        processor = PCNProductProcessor()
         result = processor.doImport(
             self.outfile,
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/tests/test_product.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/products/tests/test_product.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/products/tests/test_product.py	(revision 12371)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton products.
+Tests for pcn products.
 """
 from zope.interface.verify import verifyClass, verifyObject
@@ -24,9 +24,9 @@
 from waeup.ikoba.products.container import ProductsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.products.product import SkeletonProduct
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
+from ikobacustom.pcn.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.pcn.products.product import PCNProduct
+from ikobacustom.pcn.products.interfaces import IPCNProduct
 
-class SkeletonProductTestCase(FunctionalTestCase):
+class PCNProductTestCase(FunctionalTestCase):
 
     layer = FunctionalLayer
@@ -36,13 +36,13 @@
         self.assertTrue(
             verifyClass(
-                ISkeletonProduct, SkeletonProduct)
+                IPCNProduct, PCNProduct)
             )
         self.assertTrue(
             verifyObject(
-                ISkeletonProduct, SkeletonProduct())
+                IPCNProduct, PCNProduct())
             )
         return
 
-    def test_addSkeletonProduct(self):
+    def test_addPCNProduct(self):
         container = ProductsContainer()
         product = createObject(u'waeup.Product')
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/testing.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/testing.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/testing.py	(revision 12371)
@@ -20,11 +20,11 @@
 import os
 import tempfile
-import ikobacustom.skeleton
+import ikobacustom.pcn
 from zope.app.testing.functional import ZCMLLayer
 from waeup.ikoba.testing import FunctionalTestCase
 
-# Some funcional layer that groks ikobacustom.skeleton.
+# Some funcional layer that groks ikobacustom.pcn.
 ftesting_zcml = os.path.join(
-    os.path.dirname(ikobacustom.skeleton.__file__), 'ftesting.zcml')
+    os.path.dirname(ikobacustom.pcn.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
@@ -34,5 +34,5 @@
     # and return its path.
     tmp_dir = os.path.join(
-        tempfile.gettempdir(), 'ikobacustom.skeleton.pdf-samples')
+        tempfile.gettempdir(), 'ikobacustom.pcn.pdf-samples')
     if not os.path.exists(tmp_dir):
         os.mkdir(tmp_dir)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/skeleton/utils/utils.py	(revision 12370)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py	(revision 12371)
@@ -20,5 +20,5 @@
 import pytz
 from waeup.ikoba.utils.utils import IkobaUtils, sorted_phone_prefixes
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.pcn.interfaces import MessageFactory as _
 
 INT_PHONE_PREFIXES = [
@@ -33,5 +33,5 @@
     ]
 
-class SkeletonIkobaUtils(IkobaUtils):
+class PCNIkobaUtils(IkobaUtils):
     """A collection of methods subject to customization.
     """
@@ -53,12 +53,12 @@
         'products',
         'customers',
-        'skeletoncustomerdocuments',
-        'skeletoncontracts')
+        'pcncustomerdocuments',
+        'pcncontracts')
 
     BATCH_PROCESSOR_NAMES = (
-        'skeletoncustomerprocessor',
-        'skeletoncustomerdocumentprocessor',
-        'skeletoncontractprocessor',
-        'skeletonproductprocessor',
+        'pcncustomerprocessor',
+        'pcncustomerdocumentprocessor',
+        'pcncontractprocessor',
+        'pcnproductprocessor',
         'pdfdocumentprocessor',
         'htmldocumentprocessor',
